#include "oldMaedaModule.h"

//-------------------------------------------------
oldMaedaModule::oldMaedaModule(){
	
}

//-------------------------------------------------	
void oldMaedaModule::setup(){
	
	bDone 			= false;
	reset();
}

//-------------------------------------------------
void oldMaedaModule::reset(){
	pct 	= 0;
	bDone 	= false;
}


//-------------------------------------------------
void oldMaedaModule::update(){
	pct += 0.01f;
	
	bgColor.set(255-(255*pct),255-(255*pct),255-(255*pct));
	
	if ((int)(pct * 100) % 5 == 0) addPoint(ofVec3f(pct * 640, 200,0));
	if (pct > 1) bDone = true;
}

//-------------------------------------------------
void oldMaedaModule::draw(){
	
	ofVec3f pos;
	ofSetColor((255*pct),(255*pct),(255*pct));
	ofVec3f offset;
	float angle;
	for (int i = 0; i < 100; i++){
		pos.set(ofRandomf()*(pct)*100.0f + (pct * 640), 200 +ofRandomf()*(pct)*80,0);
		angle = 0 + pct * 2.0f * ofRandomf();
		offset.x = (50 + ofRandomuf()*100*pct) * cos(angle);
		offset.y = (50 + ofRandomuf()*100*pct) * sin(angle);
		ofLine( pos.x - offset.x, pos.y - offset.y, 
				pos.x + offset.x, pos.y + offset.y);
	}	
	
	
}

//-------------------------------------------------
bool oldMaedaModule::bAmIdone(){
	return bDone;
}

//-------------------------------------------------
ofVec3f oldMaedaModule::getStartPosition(){
	return ofVec3f(0,240,0);
}

//-------------------------------------------------
float oldMaedaModule::getStartAngle(){
	return 0;;
}
		
		

